#! d:\perl\bin\perl.exe
# copyright 2005 H. Carvey
use strict;
use Win32::File::Ver;

my $file = shift || die "You must enter a filename!\n";

if (-e $file) {
	my $ver = GetFileVersion($file);
  if ($ver) {
  	print "Filename      : ".$file."\n";
		print "Type          : ".$ver->{Type}."\n";
		my @languages = keys %{$ver->{Lang}};
		my @lang = qw/FileDescription FileVersion InternalName CompanyName
		              Copyright Trademarks OriginalFilename ProductName
		              ProductVersion PrivateBuild SpecialBuild Comments/;
		print "File Version  : ".$ver->{Lang}{$languages[0]}{FileVersion}."\n";
		print "Internal Name : ".$ver->{Lang}{$languages[0]}{InternalName}."\n";
		print "Company Name  : ".$ver->{Lang}{$languages[0]}{CompanyName}."\n";
		print "Copyright     : ".$ver->{Lang}{$languages[0]}{Copyright}."\n";
		print "Product Name  : ".$ver->{Lang}{$languages[0]}{ProductName}."\n";
	}
	else {
		my $err = Win32::FormatMessage Win32::GetLastError();
		print STDERR "Could not get version information: $err\n";
		exit 1;
	}
}
else {
	die "404 File not found.\n";
}
